org.apache.calcite.avatica

## Class AvaticaJdbc41Factory.AvaticaJdbc41Statement

- java.lang.Object
- - org.apache.calcite.avatica.AvaticaStatement
  - - org.apache.calcite.avatica.AvaticaJdbc41Factory.AvaticaJdbc41Statement

All Implemented Interfaces:
  AutoCloseable, Statement, Wrapper

Enclosing class:
  AvaticaJdbc41Factory

    private static class AvaticaJdbc41Factory.AvaticaJdbc41Statement
    extends AvaticaStatement

Implementation of Statement for JDBC 4.1.

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.AvaticaStatement

`cancelFlag, closed, closeOnCompletion, connection, DEFAULT_FETCH_SIZE, handle, maxRowCount, openResultSet, resultSetConcurrency, resultSetHoldability, resultSetType, updateCount`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
Constructor and Description
`AvaticaJdbc41Factory.AvaticaJdbc41Statement(AvaticaConnection connection, Meta.StatementHandle h, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`

### Method Summary

### Methods inherited from class org.apache.calcite.avatica.AvaticaStatement

`addBatch, cancel, clearBatch, clearWarnings, close_, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeBatchInternal, executeInternal, executeInternal, executeLargeBatch, executeLargeUpdate, executeQuery, executeQueryInternal, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getBoundParameterValues, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getId, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getParameterValues, getQueryTimeout, getQueryTimeoutMillis, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSignature, getStatementType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, onResultSetClose, resetStatement, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, setQueryTimeoutMillis, setSignature, syncResults, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AvaticaJdbc41Factory.AvaticaJdbc41Statement

    public AvaticaJdbc41Factory.AvaticaJdbc41Statement(AvaticaConnection connection,
                                               Meta.StatementHandle h,
                                               int resultSetType,
                                               int resultSetConcurrency,
                                               int resultSetHoldability)